{% from "erpnext/templates/includes/cart/cart_macros.html" import show_address %}

{% if addresses | length == 1%}
	{% set select_address = True %}
{% endif %}

{% set show_coupon_code = frappe.db.get_single_value('Shopping Cart Settings', 'show_apply_coupon_code_in_website') %}
{% if show_coupon_code == 1%}
<div class="mb-3">
	<div class="row no-gutters">
		<input type="text" class="txtcoupon form-control mr-3 w-25" placeholder="{{_('Enter Coupon Code')}}" name="txtcouponcode"  ></input>
		<button class="btn btn-primary btn-sm  bt-coupon">{{ _("Apply Coupon Code") }}</button>
		<input type="hidden" class="txtreferral_sales_partner" placeholder="Enter Sales Partner" name="txtreferral_sales_partner" type="text"></input>
		</div>
</div>
{% endif %}
<div class="mb-3 frappe-card p-5" data-section="shipping-address">
	<h6>{{ _("Shipping Address") }}</h6>
	<hr>
	{% for address in shipping_addresses %}
	{% if doc.shipping_address_name == address.name %}
	<div class="row no-gutters" data-fieldname="shipping_address_name">
		<div class="w-100 address-container" data-address-name="{{address.name}}" data-address-type="shipping" data-active>
			{% include "templates/includes/cart/address_card.html" %}
		</div>
	</div>
	{% endif %}
	{% endfor %}
</div>
<div class="checkbox ml-1 mb-2">
	<label for="input_same_billing">
		<input type="checkbox" id="input_same_billing" checked>
		<span class="label-area">{{ _('Billing Address is same as Shipping Address') }}</span>
	</label>
</div>
<div class="mb-3 frappe-card p-5" data-section="billing-address">
	<h6>{{ _("Billing Address") }}</h6>
	<hr>
	{% for address in billing_addresses %}
		{% if doc.customer_address == address.name %}
		<div class="row no-gutters" data-fieldname="customer_address">
			<div class="w-100 address-container" data-address-name="{{address.name}}" data-address-type="billing" data-active>
					{% include "templates/includes/cart/address_card.html" %}
				</div>
		</div>
		{% endif %}
	{% endfor %}
</div>
<button class="btn btn-outline-primary btn-sm mt-1 btn-new-address bg-white">{{ _("Add a new address") }}</button>

<script>
frappe.ready(() => {
	$(document).on('click', '.address-card', (e) => {
		const $target = $(e.currentTarget);
		const $section = $target.closest('[data-section]');
		$section.find('.address-card').removeClass('active');
		$target.addClass('active');
	});

	$('#input_same_billing').change((e) => {
		const $check = $(e.target);
		toggle_billing_address_section(!$check.is(':checked'));
	});

	$('.btn-new-address').click(() => {
		shopping_cart.new_cart_address(true)
	});

	function setup_state() {
		const shipping_address = $('[data-section="shipping-address"]')
			.find('[data-address-name][data-active]').attr('data-address-name');

		const billing_address = $('[data-section="billing-address"]')
			.find('[data-address-name][data-active]').attr('data-address-name');

		$('#input_same_billing').prop('checked', shipping_address === billing_address).trigger('change');

		if (!shipping_address && !billing_address) {
			$('#input_same_billing').prop('checked', true).trigger('change');
		}

		if (shipping_address) {
			$(`[data-section="shipping-address"] [data-address-name="${shipping_address}"] .address-card`).addClass('active');
		}
		if (billing_address) {
			$(`[data-section="billing-address"] [data-address-name="${billing_address}"] .address-card`).addClass('active');
		}
	}

	setup_state();

	function toggle_billing_address_section(flag) {
		$('[data-section="billing-address"]').toggle(flag);
	}
});
</script>
